<div class="col-8 offset-2 mt-4">
  <h2>{{pageTitle}}</h2>
  <hr>
  <form #formNewCategory="ngForm" (ngSubmit)="onSubmit()" class="col-8 m-auto">
      <div [ngClass]="status=='success'?'alert alert-success':'alert alert-danger'" *ngIf="status" class="text-center">{{message}}</div>
    <div class="form-group">
      <label for="name">Nombre de la categoría:</label>
      <input type="text" id="name" name="name" #name="ngModel" [(ngModel)]="category.name" class="form-control" required>
    </div>
    <p>
      <input type="submit" class="btn btn-lg btn-primary" value="Crear" [disabled]="formNewCategory.form.invalid" >
    </p>

  </form>
</div>